SyncMLConfig Class Reference

Common configuration class for SyncML related things. More...

`#include <SyncMLConfig.h>`

## Public Member Functions

| SyncMLConfig ()
| Constructor.
| ~SyncMLConfig ()
| Destructor.
| SyncMLConfig ()
| Constructor.
| ~SyncMLConfig ()
| Destructor.

## Static Public Member Functions

static QString | getDatabasePath ()
| Returns path that should be used for storing databases.
static QString | getXmlDataPath ()
| Returns path that stores misc xml data.
static QString | getDevInfoFile ()
| Returns file used to store the device information.
static void | syncmlConfigFilePaths (QString &aDefaultConfigFile, QString &aExtConfigFile)
| Returns the config XML files for configuring SyncML stack.
static QString | getDatabasePath ()
| Returns path that should be used for storing databases.
static QString | getXmlDataPath ()
| Returns path that stores misc xml data.
static QString | getDevInfoFile ()
| Returns file used to store the device information.
static void | syncmlConfigFilePaths (QString &aDefaultConfigFile, QString &aExtConfigFile)
| Returns the config XML files for configuring SyncML stack.

## Detailed Description

Common configuration class for SyncML related things.

## Member Function Documentation

## getDevInfoFile() [1/2]

QString SyncMLConfig::getDevInfoFile | ( |  | ) |

static

Returns file used to store the device information.

Returns
  QString - contains the full path to the file.

## getDevInfoFile() [2/2]

QString SyncMLConfig::getDevInfoFile | ( |  | ) |

static

Returns file used to store the device information.

Returns
  QString - contains the full path to the file.

## syncmlConfigFilePaths() [1/2]

void SyncMLConfig::syncmlConfigFilePaths | ( | QString & | aDefaultConfigFile,
|  | QString & | aExtConfigFile )

static

Returns the config XML files for configuring SyncML stack.

Parameters

  aDefaultConfigFile | - the default config file, out parameter
  aExtConfigFile | - the extended properties config file, out parameter

Returns
  void

## syncmlConfigFilePaths() [2/2]

void SyncMLConfig::syncmlConfigFilePaths | ( | QString & | aDefaultConfigFile,
|  | QString & | aExtConfigFile )

static

Returns the config XML files for configuring SyncML stack.

Parameters

  aDefaultConfigFile | - the default config file, out parameter
  aExtConfigFile | - the extended properties config file, out parameter

Returns
  void

The documentation for this class was generated from the following files:

- debian/tmp/usr/include/syncmlcommon/SyncMLConfig.h
- syncmlcommon/SyncMLConfig.h